Skip to main content
PATCH
Partially update appearance configuration

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme

Path Parameters

id
string
required

Body

application/json

Serializer for OrgAppearanceConfig model.

name
string

Name of this appearance theme

Required string length: 1 - 100
theme_mode
enum<string>

Controls the available theme options for the organization's chat view

  • light - Light
  • dark - Dark
  • both - Both (User Choice)
Available options:
light,
dark,
both
start_message
string

Start message displayed when the chat interface opens

Maximum string length: 120
recommendations
any | null

List of recommended questions to show on the start screen (max 500, up to 280 chars each)

response_mode
enum<string>

Response mode for the chat interface - full includes advanced features like code execution

  • full - Full
  • basic - Basic
Available options:
full,
basic
show_sidebar
boolean

Toggle visibility of the chat sidebar in the iframe.

show_dashboards
boolean

Toggle visibility of the dashboards tab in the iframe.

lm_primary_background_color
string
write-only
Required string length: 1 - 7
lm_light_background_color
string
write-only
Required string length: 1 - 7
lm_dark_background_color
string
write-only
Required string length: 1 - 7
lm_button_outline_color
string
write-only
Required string length: 1 - 7
dm_primary_background_color
string
write-only
Required string length: 1 - 7
dm_light_background_color
string
write-only
Required string length: 1 - 7
dm_dark_background_color
string
write-only
Required string length: 1 - 7
dm_button_outline_color
string
write-only
Required string length: 1 - 7
custom_css_overrides
any
write-only

Additional theme color overrides beyond the base palette (advanced colors).

Response

200 - application/json

Serializer for OrgAppearanceConfig model.

id
integer
required
read-only
name
string
required

Name of this appearance theme

Maximum string length: 100
custom_css_vars
string
required
read-only
created_at
string<date-time>
required
read-only
last_modified
string<date-time>
required
read-only
is_default
string
required
read-only
theme_mode
enum<string>

Controls the available theme options for the organization's chat view

  • light - Light
  • dark - Dark
  • both - Both (User Choice)
Available options:
light,
dark,
both
start_message
string

Start message displayed when the chat interface opens

Maximum string length: 120
recommendations
any | null

List of recommended questions to show on the start screen (max 500, up to 280 chars each)

response_mode
enum<string>

Response mode for the chat interface - full includes advanced features like code execution

  • full - Full
  • basic - Basic
Available options:
full,
basic
show_sidebar
boolean

Toggle visibility of the chat sidebar in the iframe.

show_dashboards
boolean

Toggle visibility of the dashboards tab in the iframe.